# Use the official Ubuntu 22.04 base image
FROM ubuntu:22.04

# Set an environment variable (optional)
ENV MY_ENV_VARIABLE=my_value

#RUN mkdir /labs

COPY /mylabs/containerlab /tmp/

# Install any necessary software or packages
RUN \
    apt-get update && \
    apt-get install -y nano ca-certificates curl gnupg make docker.io net-tools sudo iputils-ping

RUN bash -c "$(curl -sL https://get.containerlab.dev)"
#RUN sudo iptables -t nat -A POSTROUTING -s 0.0.0.0 -o eth0 -j MASQUERADE
#RUN sudo iptables -A INPUT -i docker0 -j ACCEPT

# Set the command to run when the container starts
CMD ["bash"]


